body {
    overflow-x: unset;
}

hr {
    display: none;
}

.section.template__main-section {
    margin-top: 24px;
    background-color: #f8f8fa;
}

.admission a {
    color: var(--gr-color-primary-base);
}

.admission a:hover {
    color: var(--gr-color-primary-dark);
}

.admission a:focus {
    outline: none;
}

.admission strong {
    font-weight: 500;
    color: black;
}

.admission .small {
    font-size: 0.9rem;
}

.admission .smaller {
    font-size: 0.8rem;
}

ul.admission-nav {
    padding: 0;
    display:flex;
    flex-flow: row wrap;
    margin: 0;
}

ul.admission-nav li {
    display: inline-block;
    font-size: 0.85rem;
    font-weight: 500;
    position: relative;
}

ul.admission-nav li::after {
    content: "\0203A";
    display: inline;
    vertical-align: bottom;
    font-size: 1.5rem;
    line-height: 1.5rem;
    font-weight: 100;
    margin-left: 12px;
    margin-right: 24px;
    color: #888;
}

ul.admission-nav li > a {
    color: #444;
}

ul.admission-menu {
    display: flex;
    flex-flow: row nowrap;
    width: 100%;
    overflow-x: auto;
    overflow-y: visible;
    margin: 12px 0;
    padding: 0;
    font-size: 0.9rem;
    border-bottom: solid 1px #eee;
}

ul.admission-menu li {
    display: block;
    padding: 0 0 6px 0;
    border-bottom: solid 1px transparent;
    margin-right: 24px;
    cursor: pointer;
}

ul.admission-menu li.selected {
    display: block;
    color: var(--gr-color-primary-dark);
    border-bottom-color: var(--gr-color-primary-base);
    cursor: default;
}

ul.admission-menu li:not(.selected):hover {
    color: var(--gr-color-primary-dark);
    border-bottom-color: var(--gr-color-primary-dark);
}

ul.admission-menu li > a {
    display: inline-block;
    width: 100%;
    height: 100%;
    color: inherit !important;
}

.admission section > header {
    padding: 6px 12px;
}

.admission > h1 {
    font-size: 2rem;
    font-weight: 800;
    padding: 0;
    margin-top: 24px;
    line-height: 1.2;
    color: var(--gr-color-primary-dark);
}

.admission > h2 {
    font-weight: 500;
    font-size: 1rem;
    color: var(--gr-color-primary-dark);
    line-height: 1.5;
}

.admission--o {
    color: var(--gr-color-custom-peach-dark) !important;
}

.admission--r {
    color: var(--gr-color-custom-pink-dark) !important;
}

.admission--g {
    color: var(--gr-color-custom-salad-dark) !important;
}

.admission-stats {
    display:flex;
    flex-flow: row wrap;
    column-gap: 24px;
    row-gap: 24px;
    margin: 0;
}

.admission-stats > div {
    flex: 1;
    min-width: 144px;
    max-width: 260px;
    background-color: white;
	border: solid 1px var(--gr-border-color-light);
	border-radius: var(--gr-border-radius-l2);
    padding: 18px 12px;
    display: flex;
    flex-flow: column;
    align-items: flex-end;
    text-align: right;
}

.admission-stats dt {
    font-weight: 100;
    font-size: 0.65rem;
    text-transform: uppercase;
    flex: 1;
    margin-bottom: 6px;
}

.admission-stats > div > a {
    align-self: center;
    display: flex;
    flex-flow: column;
    justify-content: center;
    height: 100%;
    text-align: center;

}

.admission-stats dd {
    font-weight: 600;
    font-size: 1.75rem;
    line-height: 1;
    margin:0;
    white-space: nowrap;
}

.admission-columns {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(296px, auto));
    grid-gap: 24px;
    padding: 0 12px;
}

.admission-columns h3 {
    font-size: 0.5rem;
    font-weight: 100;
    color: black;
    text-transform: uppercase;
    border-bottom: solid 1px #e8e8e8;
    padding-bottom: 12px;
}

.admission-columns ul {
    padding: 0;
}

.admission-columns ul > li {
    display: block;
    margin: 12px 0;
}

.admission table {
    width: 100%;
}

.admission table thead {
    border-bottom: solid 1px #eee;
}

.admission-levels table tbody {
    border-bottom: solid 1px #eee;
}

.admission table th {
    font-weight: 100;
    font-size: 0.7rem;
    text-transform: uppercase;
    padding: 6px;
    color: black;
}

.admission table td {
    padding: 6px;
    vertical-align: top;
    font-weight: 500;
}

.admission table tr > .stats {
    color: black;
}

.admission table tbody tr > .stats {
    white-space: nowrap;
}

.admission table tr > .stats-r {
    text-align: right;
}

.admission table tr > .stats-c {
    text-align: center;
    width: 100px;
    min-width: 100px;
}

.admission table tr > th.stats-c.stats-c-b {
    text-transform: none;
    font-weight: bold;
}

.admission-levels table thead tr > :first-child {
    padding-left: 0;
    font-size: 0.75rem;
    font-weight: 600;
}

.admission-levels table tbody tr:hover {
    background-color: rgba(var(--gr-color-primary-base-rgb), 0.05);
}

.admission-section-title,
.admission-prof > h3 {
    font-weight: 600;
    font-size: 0.75rem;
    color: black;
    text-transform: uppercase;
    padding: 0;
}

.admission-section-title {
    margin: 18px 0 18px 0;
}

.admission-prof {
    display: flex;
    flex-flow: column;
    gap: var(--gr-block-gap);
}

.admission-prof article {
	padding: 0;
	border: solid 1px var(--gr-border-color-light);
	border-radius: var(--gr-border-radius-l2);
	background-color: white;
	overflow: hidden;
}

.admission-prof article > header {
    display: grid;
    grid-template-columns: 140px auto;
    padding: 12px;
}

.admission-prof article > header .admission-okso {
    display: inline-block;
    color: var(--gr-color-primary-dark);
    padding: 4px 0;
    border-radius: 4px;
    font-weight: 500;
    line-height: 1.2;
    font-size: 1.25rem;
}

.admission-prof article > header .admission-okso ~ div {
    font-size: 0.65rem;
    padding: 4px 24px 4px 0;
    color: #666;
}

.admission-prof article > header h4 > div {
    line-height: 1.5;
    font-size: 1.5rem;
    font-weight: 700;
    margin: 0;
    padding: 0;
    color: var(--gr-color-primary-dark);
}

.admission-prof article > header h4 > div ~ div {
    font-size: 1rem;
    font-weight: 100;
}

.admission-prof article > header dl {
    display: flex;
    gap: 8px 48px;
    flex-flow: row wrap;
    margin: 0;
}

.admission-prof article > header dl > div {
    display: flex;
    flex-flow: column;
    gap: 4px;
}

.admission-prof article > header dt {
    font-weight: 100;
    font-size: 0.8rem;
    text-transform: uppercase;
}

.admission-prof article > header dd > span {
    font-size: 1.1rem;
    font-weight: 600;
    line-height: 1;
}

.admission-prof article > header dd > ol {
    padding-left: 24px;
}

.admission-prof article > header li {
    font-size: 0.95rem;
}

.admission-prof article > header li::marker {
    font-size: 0.95em;
    color: black;
    font-family: var(--font-family-monospace);
}

.admission-prof article > header h4 ol {
    counter-reset: prof;
    padding-left: 24px;
}

.admission-prof article > header h4 li {
    display: block;
    font-size: inherit;
    counter-increment: prof;
}

.admission-prof article > header h4 li::before {
    display: inline-block;
    width: 18px;
    margin-left: -24px;
    margin-right: 6px;
    text-align: right;
    content: counter(prof) ") ";
    color: inherit;
    font-size: 0.9em;
}

.admission-prof table {
    margin-bottom: 12px;
    border-top: solid 1px #eee;
}

.admission-prof table th > span {
    text-transform: lowercase;
    display: block;
    color: #888;
}

.admission-prof table th {
    vertical-align: top;
    padding: 6px 12px;
}

.admission-prof table td {
    font-size: 0.95rem;
    padding: 6px 12px;
    color: black;
    background-color: white;
    line-height: 1.4;
}

.admission-prof table tbody tr:nth-child(2n+1) td {
    background-color: rgba(var(--gr-color-primary-base-rgb), 0.03);
}

.admission-prof table tbody tr.highlight td {
	background-color: #00800008;
	border-top: solid 1px #00800044;
	border-bottom: solid 1px #00800044;
}

.admission-list {
    columns: 3;
    padding: 0;
    font-size: 0.85rem;
    color: black;
}

.admission-list > div {
    padding: 6px 0;
}

.admission-list li {
    margin-left: 24px;
    padding: 6px 0 6px 12px;
}

.admission-dropdown {
    position: relative;
}

.admission-dropdown-selector {
    color: var(--gr-color-primary-base);
}

h1.admission-dropdown-selector {
    font-weight: 700;
    line-height: 1.2;
    font-size: 2rem;
}

h2.admission-dropdown-selector {
    font-weight: 600;
    line-height: 1.2;
    font-size: 1.5rem;
}

.admission-dropdown-selector:hover {
    color: var(--gr-color-primary-dark);
}

.admission-dropdown-selector > :first-child {
    cursor: pointer;
}

.admission-dropdown-selector > :first-child::after {
    content: "\0203A";
    display: inline-block;
    vertical-align: middle;
    font-size: 24px;
    line-height: 12.5px;
    font-weight: 100;
    width: 16px;
    height: 16px;
    text-align: center;
    transform: rotate(90deg);
    margin-left:6px;
    color: inherit;
    transition: transform ease-in-out 100ms;
}

.admission-dropdown-selector:focus-within > :first-child::after {
    transform: rotate(-90deg);
}

.admission-dropdown-selector + aside {
    display: none;
    position: absolute;
    background-color: white;
    padding: 6px 0;
    border-radius: var(--gr-border-radius-l3);
    border: solid 1px var(--gr-border-color);
    z-index: 10;
    max-width: calc(100% - 156px);
    min-width: 300px;
    font-weight: 500;
}

.admission-dropdown-selector + aside a {
    display: inline-block;
    width: 100%;
    height: 100%;
    padding:6px 15px;
}

.admission-dropdown-selector + aside a:hover {
    background-color: rgba(var(--gr-color-primary-base-rgb), 0.05);
}

.admission-dropdown-selector + aside:hover,
.admission-dropdown-selector:focus-within + aside {
    display: block;
}

.admission-search {
    display: flex;
    flex-flow: row wrap;
    column-gap: 24px;
    row-gap: 12px;
}

.admission-search form {
    flex: 1;
    min-width: 290px;
    position: relative;
}

.admission-search input[type="reset"] {
    display: none;
    height: 100%;
    width: 36px;
    border: none;
    background-color: transparent;
    position: absolute;
    right: 0;
    top: -1px;
    font-size: 1.2rem;
    cursor: pointer;
    color: #888;
}

.admission-search input[type="text"] {
    width: 100%;
    border: 1px solid var(--gr-input-border-color);
    font-size: 1rem;
    outline: none;
    padding: 12px 32px 12px 16px;
    border-radius: var(--gr-input-border-radius);
}

.admission-search input[type="text"]:focus + input {
    display: inline-block;
}

.admission-search input[type="reset"]:hover {
    display: inline-block;
    border-color: var(--gr-color-primary-base);
}

.admission-search input[type="reset"]:active {
    color: red;
}

.admission-search input[type="text"]:focus {
    border-color: var(--gr-color-primary-base);
}

.admission-search input[type="text"]:not(:placeholder-shown):focus:invalid {
    border-color: red;
    color: red;
}

.admission-search input[type="text"]:focus:valid {
    border-color: var(--gr-color-primary-base);
}

.admission-search-result article > h4 {
    padding: 12px 24px 0 12px;
    font-weight: 400;
    font-size: 1rem;
    border-color: var(--gr-color-primary-dark);
    line-height: 1.5;
}

/*
.admission-search-result table td {
    color: var(--dark);
}
.admission-search-result td a:not(:hover) {
    color: black;
}
*/

.admission-stats > div {position: relative;}
.admission-pbar, .admission-pbar-f {
    position: absolute;
    left: 12px;
    right: 12px;
    height: 4px;
    bottom: 8px;
    border-radius: 4px;
    background-color: #f4f4f8;
    overflow: hidden;
}

.admission-pbar-f {background-color: forestgreen;}
.admission-pbar > span {
    position: absolute;
    right: 0;
    top: 0;
    height: 4px;
    background-color: forestgreen;
}

.admission-pbar-f > span {
    position: absolute;
    left: 0;
    top: 0;
    height: 4px;
    background-color: limegreen;
}

.admission-table {
    background-color: white;
    overflow-x: auto;
    border: solid 1px #d5edfa;
    position: relative;
    width: auto;
}

.admission-table > table {
    border: none;
    margin: 0;
    width: auto;
    min-width: 100%;
}

.admission-table > table > tbody.admission-list-rest-header td {
    height: 60px;
    padding: 0;
}

.admission-table > table > tbody.admission-list-rest-header .admission-section-title {
    position: absolute;
    min-width: 240px;
    left: -40px;
    z-index: 1;
    right: 0;
    height: 100%;
    height: 59px;
    padding: 0 12px;
    margin: 0;
    background-color: #f8f8fa;
    color: #334;
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.admission-table table tbody.admission-list-rest tr td {
    color: #445;
    background-color: white;
}

.admission-table > .admission-section-title {
    transform: rotateX(180deg);
}

.admission-table > table > thead {
    border-bottom: none;
}

.admission-table tr > * {
    outline: solid 1px #eee;
    position: relative;
    background-color: white;
}

.admission-table table tbody:first-of-type tr:nth-child(2n+1) td {
    background-color: #fafafd;
}

.admission-table table tbody.admission-list-rest tr:nth-child(even) td {
    background-color: #fafafd;
}

.admission-table table tbody.admission-list-rest-header tr td {
    background-color: #f8f8fa;
}

.admission-table table tbody tr > td.stats-c-odd {
    background-color: #fafcfe;
}

.admission-table table tbody:first-of-type tr:nth-child(odd) > td.stats-c-odd {
    background-color: #f5f7fc;
}

.admission-table table tbody.admission-list-rest tr:nth-child(even) td.stats-c-odd {
    background-color: #f5f7fc;
}

.admission-table tr > :nth-child(-n+2) {
    position: sticky;
    left: 0;
    background-color: white;
    z-index: 1;
    width: 40px;
    max-width: 40px;
    min-width: 40px;
}

.admission-table tr > :nth-child(2) {
    left: 40px;
}

.admission-table > table th {
    /*vertical-align: middle;*/
    font-weight: 500;
    text-align: center;
    padding: 18px 6px;
}

.admission-table > table th.stats-c {
    font-weight: bold;
}

.admission-table > table th > span {
    color: #445;
    font-weight: normal;
    margin-bottom: 4px;
}

.admission-table > table td {
    text-align: center;
    padding: 12px 6px;
}

.admission-table > table .stats-name {
    text-align: left;
}

.admission-table > table .stats-name.t-smaller {
    padding: 6px;
}

.admission-table td [data-link-href] {
    cursor: pointer;
    color: var(--gr-color-primary-base);
}

.admission-table td [data-link-href]:hover {
    cursor: pointer;
    color: var(--gr-color-primary-dark);

}

@media (max-width: 1024px) {
    .admission-list {
        columns: 2;
    }

    .container.template__main-container {
        max-width: 100% !important;
    }

    .admission-search-result article th {
        padding: 6px;
    }

    .admission-search-result article td {
        font-size: 0.75rem;
        padding: 6px;
    }

    .admission-table {
        border-top:solid 1px #eee;
        border-bottom:solid 1px #eee;
        box-shadow: none;
        border-radius: 0;
    }
}

@media (max-width: 1224px) {
    body:not(._fd) .l-inner {
        margin-left: 0;
        margin-right: 0;
        width: auto;
    }

    .admission-table-header-sticky,
    .admission-table,
    .admission-prof article {
        margin: 0 calc(var(--gr-block-padding) * -1);
        width: calc(100% - var(--gr-block-padding) * -2);
    }

    .admission-table td[colspan] {
        text-align: left;
        padding-left: 16px;
    }
}

@media (max-width: 767px) {
    .admission-prof article > header {
        display: flex;
        flex-flow: column;
        row-gap: 12px;
    }

   .admission-list {
        columns: 1;
    }

    .admission-stats > div {
        max-width: 100%;
    }
}

@media (max-width: 552px) {
    .admission > h1 {
        font-size: 1.5rem;
        font-weight: 700;
    }

    h1.admission-dropdown-selector {
        font-weight: 700;
        font-size: 1.5rem;
    }

    h2.admission-dropdown-selector {
        font-weight: 700;
        font-size: 1.25rem;
    }

    .admission-levels,
    .admission-prof article {
        border-radius: 0;
    }

    .admission-prof article > section {
        width: 100%;
        overflow-y: auto;
    }

    .admission-prof article > header > :first-child {
        display: flex;
        flex-flow: row wrap;
        align-items: baseline;
        column-gap: 24px;
        row-gap: 12px;
    }

    .admission-prof article > header h4 + dl {
        display: flex;
        flex-flow: row wrap;
        gap: 20px 40px;
    }

    .admission-levels table th {
        padding: 9px 6px 6px 6px;
        text-transform: initial;
        font-weight: 500;
    }

    .admission-levels table td {
        font-size: 0.75rem;
        padding: 9px 6px 6px 6px;
    }

    .admission-levels table tr > :first-child {
        padding-left: 12px !important;
    }

    .admission-prof article > header li {
        font-size: 0.8rem;
    }

    .admission-prof table th {
        padding: 6px;
    }

    .admission-prof table td {
        font-size: 0.75rem;
        padding: 6px;
    }
}

.admission-table-header-sticky {
    display: block;
    position: sticky;
    top: 0;
    overflow-x: auto;
    z-index: 5;
    white-space: nowrap;
    border: solid 1px #d5edfa;
    border-bottom-color: #ddd;
    scrollbar-width: thin;
    margin-bottom: calc(var(--gr-block-gap) * -1);
}

.admission-table-header-sticky::-webkit-scrollbar {
    height: 9px;
}

.admission-table-header-sticky::-webkit-scrollbar-track {
    background-color: #f0f0f0;
}

.admission-table-header-sticky::-webkit-scrollbar-thumb {
    background-color: #cdcdcd;
    border: transparent;
}

.admission-table-header-sticky > div {
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.admission-table-header-sticky-th {
    display: inline-block;
    vertical-align: top;
    background-color: white;
    outline: solid 1px #eee;
    border-right: none;
    font-weight: 500;
    text-align: center;
    font-size: 0.7rem;
    text-transform: uppercase;
    padding: 18px 6px;
    color: black;
    white-space: normal;
    height: 100%;
    line-height: 1.3;
}

.admission-table-header-sticky-th:first-child {
    position: sticky;
    left: 0;
    width: 40px;
    z-index: 6;
}

.admission-table-header-sticky-th:nth-child(2) {
    position: sticky;
    left: 40px;
    width: 90px;
    z-index: 6;
}

.admission-table-header-sticky-th span {
    display: block;
    color: #445;
    font-weight: normal;
    margin-bottom: 4px;
}

@media (max-width: 981.98px) {
    .admission-table {
        z-index: 1500;
    }
    .admission-table-header-sticky {
        z-index: 1501;
    }
}

@media (max-width: 552px) {
    .admission-table-header-sticky-th {
        padding: 6px;
    }
}